You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-03-29 15:18:55

baptiste.chanal
Guest
Registered: 2011-09-06
Posts: 12

Upgrade GLPI 9.2.1 to 9.2.2 Problème activation plugin GenericObject

Bonjour,

Je viens de mettre à jour GLPI pour passer de la version 9.2.1 vers la version 9.2.2.
Passage pour corriger le problème d'envoi de notification qui restait bloqué dans la file d'attente de Notification a cause de l'action automatique queuednotification qui ne s’exécutait pas.

Tout s'est bien passé jusqu'a la réactivation du plugin GenericObject.

Procédure réalisé:
- Backup de la VM GLPI
- Désactivation des plugins
- Déplacement du contenu du répertoire "glpi" dans un autre répertoire pour garder une sauvegarde sans le répertoire Plugin. J'ai laissé le répertoire avec son contenu en lieui et place.
- Copie des fichiers de la version GLPI 9.2.2.
- Procédure de mise à jour réalisé avec succès.
- Réactivation des plugins OK (Comportement, FusionInventory, ImportFabricant, Injection de fichier, Tableau de bord)
- Plantage lors de la réactivation du plugin GenericObject (v2.5.0)

Le message suivant apparaît :
Impossible de charger la classe PluginGenericobjectAccessoireVous avez probablement d'anciennes données dans votre base pour ce plugin ou des fichiers manquants dans C:\xampp\htdocs\glpi/files/_plugins/genericobject

Si vous avez des idées, je suis preneur. Malgré des recherches, je ne parviens pas à trouver.

Merci

Offline

#2 2018-03-31 18:19:08

btry
Guest
Registered: 2015-10-01
Posts: 203

Re: Upgrade GLPI 9.2.1 to 9.2.2 Problème activation plugin GenericObject

Bonjour

Si vous créez des objets avec Generic Objects, le plugin va générer des fichiers .php. Ces fichiers doivent être dans glpi/files/_plugin/genericobject.

Votre troisième étape n'est pas claire : vous parlez de déplacer GLPI (la version 9.2.1) puis dites que vous avez laissé le répertoire sur place. Vous l'avez déplacé ou copié ?

Si vous l'avez déplacé, il faut restaurer les ficihers .php du plugin dans la v ersion 9.2.2 que vous mettez en place.


Always run an upgrade task on a testing instance before running it on production ! Always backup before any upgrade task !

Flyve MDM: https://github.com/flyve-mdm/glpi-plugin
Formcreator: https://github.com/pluginsGLPI/formcreator

Offline

Board footer

Powered by FluxBB